function c = normal_coef (Sigma)
%
% Kalman filter toolbox
% Written by Kevin Murphy, 1998
% http://www.cs.berkeley.edu/~murphyk/Bayes/kalman.html
%
%
% c = normal_coef (Sigma)
% Compute the normalizing coefficient for the gaussian.

n = length(Sigma);
c = (2*pi)^(-n/2) * det(Sigma)^(-0.5);

